# Class AbstractButton

java.lang.Object
org.eclipse.help.webapp.AbstractButton

All Implemented Interfaces:
  `Comparable<AbstractButton>`

public abstract class AbstractButton extends Object implements Comparable<AbstractButton>
A class which contributes a button to the help webapp

Since:
  3.5

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`BOOKMARKS_TOOLBAR`
Toolbar name for bookmarks
`static final String`
`BUTTON_HIDDEN`
The state of a button which is hidden
`static final String`
`BUTTON_IN`
The state of a button which is visible and depressed
`static final String`
`BUTTON_OUT`
The state of a button which is visible but not depressed
`static final String`
`CONTENT_TOOLBAR`
Toolbar name for the content pane, which shows help pages
`static final String`
`INDEX_TOOLBAR`
Toolbar name for the keyword index
`static final String`
`SEARCH_TOOLBAR`
Toolbar name for search results
`static final String`
`TOC_TOOLBAR`
Toolbar name for the table of contents

## Constructor Summary

Constructors
Constructor
Description
`AbstractButton()`

## Method Summary

Modifier and Type
Method
Description
`final int`
`compareTo(AbstractButton o)`
`abstract String`
`getAction()`
a JavaScript function which will be called when the button is pressed
`abstract String`
`getId()`
Gets the id which will be assigned to the image of the button in the generated HTML
`abstract String`
`getImageURL()`
`String`
`getJavaScriptURL()`
Get the location of the a javascript file to be included in any jsp file which uses this button
`String`
`getState()`
Get the state of a button
`abstract String`
`getTooltip(Locale locale)`
A user visible description of the button which will appear in the tooltip
`boolean`
`isAddedToToolbar(String toolbarName)`
Determines whether this button should be true if the button should be added to particular toolbar

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### BUTTON_OUT

public static final String BUTTON_OUT
The state of a button which is visible but not depressed

See Also:
  - Constant Field Values

### BUTTON_IN

public static final String BUTTON_IN
The state of a button which is visible and depressed

See Also:
  - Constant Field Values

### BUTTON_HIDDEN

public static final String BUTTON_HIDDEN
The state of a button which is hidden

See Also:
  - Constant Field Values

### CONTENT_TOOLBAR

public static final String CONTENT_TOOLBAR
Toolbar name for the content pane, which shows help pages

See Also:
  - Constant Field Values

### TOC_TOOLBAR

public static final String TOC_TOOLBAR
Toolbar name for the table of contents

See Also:
  - Constant Field Values

### INDEX_TOOLBAR

public static final String INDEX_TOOLBAR
Toolbar name for the keyword index

See Also:
  - Constant Field Values

### SEARCH_TOOLBAR

public static final String SEARCH_TOOLBAR
Toolbar name for search results

See Also:
  - Constant Field Values

### BOOKMARKS_TOOLBAR

public static final String BOOKMARKS_TOOLBAR
Toolbar name for bookmarks

See Also:
  - Constant Field Values

## Constructor Details

### AbstractButton

public AbstractButton()

## Method Details

### getId

public abstract String getId()
Gets the id which will be assigned to the image of the button in the generated HTML

Returns:
  a string that consists of alphanumeric characters only with no spaces

### getImageURL

public abstract String getImageURL()

Returns:
  a URL relative to /help which is the location of the 16x16 image icon which will appear in the tab

### getTooltip

public abstract String getTooltip(Locale locale)
A user visible description of the button which will appear in the tooltip

Parameters:
  `locale` - the locale of the client
Returns:
  the tooltip text to be used in this locale

### getAction

public abstract String getAction()
a JavaScript function which will be called when the button is pressed

Returns:
  the name of a JavaScript function

### getState

public String getState()
Get the state of a button

Returns:
  one of `BUTTON_OUT`, `BUTTON_IN`, or `BUTTON_HIDDEN`.

### getJavaScriptURL

public String getJavaScriptURL()
Get the location of the a javascript file to be included in any jsp file which uses this button

Returns:
  a URL path, relative to /help or `null` if there.

### isAddedToToolbar

public boolean isAddedToToolbar(String toolbarName)
Determines whether this button should be true if the button should be added to particular toolbar

Parameters:
  `toolbarName` - Name of the toolbar.
Returns:
  true

### compareTo

public final int compareTo(AbstractButton o)

Specified by:
  `compareTo` in interface `Comparable<AbstractButton>`
Since:
  3.7